commit:     1c96a698995a0d7536206b2f0d78358330c82254
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Sun Feb 27 00:50:36 2022 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sun Feb 27 00:50:36 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1c96a698

media-libs/glyr: update EAPI 6 -> 8

Signed-off-by: Sam James <sam <AT> gentoo.org>

 .../glyr/files/glyr-1.0.10-fix-version.patch       | 23 ++++++++++++++
 media-libs/glyr/glyr-1.0.10-r1.ebuild              | 36 ++++++++++++++++++++++
 2 files changed, 59 insertions(+)

diff --git a/media-libs/glyr/files/glyr-1.0.10-fix-version.patch 
b/media-libs/glyr/files/glyr-1.0.10-fix-version.patch
new file mode 100644
index 000000000000..0d0c126faa7f
--- /dev/null
+++ b/media-libs/glyr/files/glyr-1.0.10-fix-version.patch
@@ -0,0 +1,23 @@
+https://github.com/sahib/glyr/pull/104
+
+From bf0a0f0a040aed89f7fef3dadf52754b73efc597 Mon Sep 17 00:00:00 2001
+From: Sam James <s...@gentoo.org>
+Date: Sun, 27 Feb 2022 00:48:25 +0000
+Subject: [PATCH] CMakeLists.txt: fix version
+
+This avoids e.g. the pkg-config file installed having the wrong version.
+
+It must be updated on new tags/releases (just before tagging).
+
+Signed-off-by: Sam James <s...@gentoo.org>
+--- a/CMakeLists.txt
++++ b/CMakeLists.txt
+@@ -38,7 +38,7 @@ ENDIF()
+ # ------------------------------------------------
+ SET(GLYR_VERSION_MAJOR "1")
+ SET(GLYR_VERSION_MINOR "0")
+-SET(GLYR_VERSION_MICRO "9")
++SET(GLYR_VERSION_MICRO "10")
+ SET(GLYR_VERSION_NAME  "Raving Raven")
+ # ------------------------------------------------
+ 

diff --git a/media-libs/glyr/glyr-1.0.10-r1.ebuild 
b/media-libs/glyr/glyr-1.0.10-r1.ebuild
new file mode 100644
index 000000000000..0d8bc15b0992
--- /dev/null
+++ b/media-libs/glyr/glyr-1.0.10-r1.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit cmake
+
+DESCRIPTION="Music related metadata searchengine, both with commandline 
interface and C API"
+HOMEPAGE="https://github.com/sahib/glyr";
+SRC_URI="https://github.com/sahib/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="LGPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="dev-db/sqlite:3
+       >=dev-libs/glib-2.10:2
+       net-misc/curl"
+DEPEND="${RDEPEND}"
+BDEPEND="virtual/pkgconfig"
+
+DOCS=( AUTHORS README.textile ) # CHANGELOG is obsolete in favour of git 
history
+
+PATCHES=(
+       "${FILESDIR}"/${P}-fix-version.patch
+)
+
+src_prepare() {
+       cmake_src_prepare
+
+       sed -i \
+               -e '/GCC_ONLY_OPT.*-s/d' \
+               -e '/FLAGS/s:-Os::' \
+               -e '/FLAGS/s:-g3::' \
+               CMakeLists.txt || die
+}

Reply via email to